Loading...
Searching...
No Matches
InternalCF Class Reference

virtual class for internal CanonicalForm's More...

`#include <int_cf.h>`

## Public Member Functions

| InternalCF ()
| InternalCF (const InternalCF &)
virtual | ~InternalCF ()
int | deleteObject ()
InternalCF * | copyObject ()
virtual InternalCF * | deepCopyObject () const PVIRT_INTCF("deepCopyObject")
virtual const char * | classname () const PVIRT_CHARCC("classname")
virtual InternalCF * | genZero () PVIRT_INTCF("genZero")
virtual InternalCF * | genOne () PVIRT_INTCF("genOne")
virtual int | level () const
virtual int | levelcoeff () const
virtual int | type () const
virtual Variable | variable () const
virtual void | print (OSTREAM &, char *) PVIRT_VOID("print")
virtual bool | inBaseDomain () const
virtual bool | inExtension () const
virtual bool | inCoeffDomain () const
virtual bool | inPolyDomain () const
virtual bool | inQuotDomain () const
virtual bool | isZero () const
virtual bool | isOne () const
| bool InternalCF::isOne, isZero () const
virtual bool | isUnivariate () const
virtual long | intval () const
virtual int | intmod (int) const
virtual int | sign () const PVIRT_INT("sign")
virtual InternalCF * | num ()
| InternalCF * InternalCF::num (), den ().
virtual InternalCF * | den ()
virtual InternalCF * | neg () PVIRT_INTCF("neg")
virtual InternalCF * | invert ()
virtual InternalCF * | tryInvert (const CanonicalForm &, bool &)
virtual int | comparesame (InternalCF *) PVIRT_INT("comparesame")
virtual int | comparecoeff (InternalCF *) PVIRT_INT("comparecoeff")
virtual InternalCF * | addsame (InternalCF *) PVIRT_INTCF("addsame")
virtual InternalCF * | subsame (InternalCF *) PVIRT_INTCF("subsame")
virtual InternalCF * | mulsame (InternalCF *) PVIRT_INTCF("mulsame")
virtual InternalCF * | tryMulsame (InternalCF *, const CanonicalForm &)
virtual InternalCF * | dividesame (InternalCF *) PVIRT_INTCF("dividesame")
virtual InternalCF * | modulosame (InternalCF *) PVIRT_INTCF("modulosame")
virtual InternalCF * | divsame (InternalCF *) PVIRT_INTCF("divsame")
virtual InternalCF * | tryDivsame (InternalCF *, const CanonicalForm &, bool &)
virtual InternalCF * | modsame (InternalCF *) PVIRT_INTCF("modsame")
virtual void | divremsame (InternalCF *, InternalCF *&, InternalCF *&) PVIRT_VOID("divremsame")
virtual bool | divremsamet (InternalCF *, InternalCF *&, InternalCF *&) PVIRT_BOOL("divremsamet")
virtual bool | tryDivremsamet (InternalCF *, InternalCF *&, InternalCF *&, const CanonicalForm &, bool &)
virtual InternalCF * | addcoeff (InternalCF *) PVIRT_INTCF("addcoeff")
virtual InternalCF * | subcoeff (InternalCF *, bool) PVIRT_INTCF("subcoeff")
virtual InternalCF * | mulcoeff (InternalCF *) PVIRT_INTCF("mulcoeff")
virtual InternalCF * | dividecoeff (InternalCF *, bool) PVIRT_INTCF("dividecoeff")
virtual InternalCF * | tryDividecoeff (InternalCF *, bool, const CanonicalForm &, bool &)
virtual InternalCF * | modulocoeff (InternalCF *, bool) PVIRT_INTCF("dividecoeff")
virtual InternalCF * | divcoeff (InternalCF *, bool) PVIRT_INTCF("divcoeff")
virtual InternalCF * | tryDivcoeff (InternalCF *, bool, const CanonicalForm &, bool &)
virtual InternalCF * | modcoeff (InternalCF *, bool) PVIRT_INTCF("modcoeff")
virtual void | divremcoeff (InternalCF *, InternalCF *&, InternalCF *&, bool) PVIRT_VOID("divremcoeff")
virtual bool | divremcoefft (InternalCF *, InternalCF *&, InternalCF *&, bool) PVIRT_BOOL("divremcoefft")
virtual bool | tryDivremcoefft (InternalCF *, InternalCF *&, InternalCF *&, bool, const CanonicalForm &, bool &)
virtual InternalCF * | bgcdsame (const InternalCF *const) const
| InternalCF * InternalCF::bgcdsame, bgcdcoeff ( const InternalCF * const ).
virtual InternalCF * | bgcdcoeff (const InternalCF *const)
virtual InternalCF * | bextgcdsame (InternalCF *, CanonicalForm &, CanonicalForm &)
| InternalCF * InternalCF::bextgcdsame ( InternalCF *, CanonicalForm & a, CanonicalForm & b ).
virtual InternalCF * | bextgcdcoeff (InternalCF *, CanonicalForm &, CanonicalForm &)
virtual InternalCF * | sqrt ()
| InternalCF * InternalCF::sqrt ().
virtual int | ilog2 ()
| int InternalCF::ilog2 ()
virtual CanonicalForm | lc ()
| CanonicalForm InternalCF::lc (), Lc (), LC ().
virtual CanonicalForm | Lc ()
virtual CanonicalForm | LC ()
virtual CanonicalForm | coeff (int i)
| CanonicalForm InternalCF::coeff ( int i ).
virtual int | degree ()
| int InternalCF::degree ()
virtual int | taildegree ()
virtual CanonicalForm | tailcoeff ()
| CanonicalForm InternalCF::tailcoeff (), int InternalCF::taildegree ().
Public Member Functions inherited from omallocClass
void * | operator new (size_t size) throw (std::bad_alloc)
void | operator delete (void *block) throw ()
void * | operator new[] (size_t size) throw (std::bad_alloc)
void | operator delete[] (void *block) throw ()
void * | operator new (size_t size, const std::nothrow_t &) throw ()
void * | operator new[] (size_t size, const std::nothrow_t &) throw ()

## Protected Member Functions

int | getRefCount ()
void | incRefCount ()
int | decRefCount ()

## Private Attributes

int | refCount

## Detailed Description

virtual class for internal CanonicalForm's

InternalCF will become an InternalPoly, InternalInteger, InternalRational

Definition at line 41 of file int_cf.h.

## Constructor & Destructor Documentation

## InternalCF() [1/2]

InternalCF::InternalCF | ( |  | ) |

inline

Definition at line 55 of file int_cf.h.

{ refCount = 1; };
InternalCF::refCount
int refCount
Definition int_cf.h:49

## InternalCF() [2/2]

InternalCF::InternalCF | ( | const InternalCF & |  | ) |

inline

Definition at line 56 of file int_cf.h.

{
ASSERT( 0, "ups there is something wrong in your code");
};
ASSERT
#define ASSERT(expression, message)
Definition cf_assert.h:99

## ~InternalCF()

virtual InternalCF::~InternalCF | ( |  | ) |

inline virtual

Definition at line 60 of file int_cf.h.

{};

## Member Function Documentation

## addcoeff()

virtual InternalCF * InternalCF::addcoeff | ( | InternalCF * |  | ) |

virtual

Reimplemented in InternalInteger, InternalPoly, InternalPrimePower, and InternalRational.

## addsame()

virtual InternalCF * InternalCF::addsame | ( | InternalCF * |  | ) |

virtual

Reimplemented in InternalInteger, InternalPoly, InternalPrimePower, and InternalRational.

## bextgcdcoeff()

InternalCF * InternalCF::bextgcdcoeff | ( | InternalCF * | ,
|  | CanonicalForm & | a,
|  | CanonicalForm & | b )

virtual

Reimplemented in InternalInteger, and InternalRational.

Definition at line 157 of file int_cf.cc.

{
ASSERT1( 0, "bextgcd() not implemented for class %s", this->classname() );
a = 0; b = 0;
return CFFactory::basic( 0 );
}
b
CanonicalForm b
Definition cfModGcd.cc:4111
ASSERT1
#define ASSERT1(expression, message, parameter1)
Definition cf_assert.h:101
CFFactory::basic
static InternalCF * basic(int value)
Definition cf_factory.cc:61
InternalCF::classname
virtual const char * classname() const PVIRT_CHARCC("classname")

## bextgcdsame()

InternalCF * InternalCF::bextgcdsame | ( | InternalCF * | ,
|  | CanonicalForm & | a,
|  | CanonicalForm & | b )

virtual

InternalCF * InternalCF::bextgcdsame ( InternalCF *, CanonicalForm & a, CanonicalForm & b ).

See also
  CanonicalForm::bextgcd()

Reimplemented in InternalInteger, and InternalRational.

Definition at line 149 of file int_cf.cc.

{
ASSERT1( 0, "bextgcd() not implemented for class %s", this->classname() );
a = 0; b = 0;
return CFFactory::basic( 0 );
}

## bgcdcoeff()

InternalCF * InternalCF::bgcdcoeff | ( | const InternalCF * const |  | ) |

virtual

Reimplemented in InternalInteger, and InternalRational.

Definition at line 139 of file int_cf.cc.

{
ASSERT1( 0, "bgcd() not implemented for class %s", this->classname() );
return CFFactory::basic( 0 );
}

## bgcdsame()

InternalCF * InternalCF::bgcdsame | ( | const InternalCF * const |  | ) | const

virtual

InternalCF * InternalCF::bgcdsame, bgcdcoeff ( const InternalCF * const ).

See also
  CanonicalForm::bgcd()

Reimplemented in InternalInteger, and InternalRational.

Definition at line 132 of file int_cf.cc.

{
ASSERT1( 0, "bgcd() not implemented for class %s", this->classname() );
return CFFactory::basic( 0 );
}

## classname()

virtual const char * InternalCF::classname | ( |  | ) | const

virtual

Reimplemented in InternalInteger, InternalPoly, InternalPrimePower, and InternalRational.

## coeff()

CanonicalForm InternalCF::coeff | ( | int | i | ) |

virtual

CanonicalForm InternalCF::coeff ( int i ).

See also
  CanonicalForm::operator []()

Reimplemented in InternalPoly.

Definition at line 120 of file int_cf.cc.

{
if ( i == 0 )
return CanonicalForm( copyObject() );
else
return CanonicalForm( 0 );
}
i
int i
Definition cfEzgcd.cc:132
InternalCF::copyObject
InternalCF * copyObject()
Definition int_cf.h:62

## comparecoeff()

virtual int InternalCF::comparecoeff | ( | InternalCF * |  | ) |

virtual

Reimplemented in InternalInteger, InternalPoly, InternalPrimePower, and InternalRational.

## comparesame()

virtual int InternalCF::comparesame | ( | InternalCF * |  | ) |

virtual

Reimplemented in InternalInteger, InternalPoly, InternalPrimePower, and InternalRational.

## copyObject()

InternalCF * InternalCF::copyObject | ( |  | ) |

inline

Definition at line 62 of file int_cf.h.

{ incRefCount(); return this; }
InternalCF::incRefCount
void incRefCount()
Definition int_cf.h:52

## decRefCount()

int InternalCF::decRefCount | ( |  | ) |

inline protected

Definition at line 53 of file int_cf.h.

{ return --refCount; };

## deepCopyObject()

virtual InternalCF * InternalCF::deepCopyObject | ( |  | ) | const

virtual

Reimplemented in InternalInteger, InternalPoly, InternalPrimePower, and InternalRational.

## degree()

int InternalCF::degree | ( |  | ) |

virtual

int InternalCF::degree ()

See also
  CanonicalForm::degree()

Reimplemented in InternalPoly.

Definition at line 55 of file int_cf.cc.

{
if ( isZero() )
return -1;
else
return 0;
}
InternalCF::isZero
virtual bool isZero() const
Definition int_cf.cc:24

## deleteObject()

int InternalCF::deleteObject | ( |  | ) |

inline

Definition at line 61 of file int_cf.h.

{ return decRefCount() == 0; }
InternalCF::decRefCount
int decRefCount()
Definition int_cf.h:53

## den()

InternalCF * InternalCF::den | ( |  | ) |

virtual

Reimplemented in InternalRational.

Definition at line 91 of file int_cf.cc.

{
return CFFactory::basic( 1 );
}

## divcoeff()

virtual InternalCF * InternalCF::divcoeff | ( | InternalCF * | ,
|  | bool | )

virtual

Reimplemented in InternalInteger, InternalPoly, InternalPrimePower, and InternalRational.

## dividecoeff()

virtual InternalCF * InternalCF::dividecoeff | ( | InternalCF * | ,
|  | bool | )

virtual

Reimplemented in InternalInteger, InternalPoly, InternalPrimePower, and InternalRational.

## dividesame()

virtual InternalCF * InternalCF::dividesame | ( | InternalCF * |  | ) |

virtual

Reimplemented in InternalInteger, InternalPoly, InternalPrimePower, and InternalRational.

## divremcoeff()

virtual void InternalCF::divremcoeff | ( | InternalCF * | ,
|  | InternalCF *& | ,
|  | InternalCF *& | ,
|  | bool | )

virtual

Reimplemented in InternalInteger, InternalPoly, InternalPrimePower, and InternalRational.

## divremcoefft()

virtual bool InternalCF::divremcoefft | ( | InternalCF * | ,
|  | InternalCF *& | ,
|  | InternalCF *& | ,
|  | bool | )

virtual

Reimplemented in InternalInteger, InternalPoly, InternalPrimePower, and InternalRational.

## divremsame()

virtual void InternalCF::divremsame | ( | InternalCF * | ,
|  | InternalCF *& | ,
|  | InternalCF *& | )

virtual

Reimplemented in InternalInteger, InternalPoly, InternalPrimePower, and InternalRational.

## divremsamet()

virtual bool InternalCF::divremsamet | ( | InternalCF * | ,
|  | InternalCF *& | ,
|  | InternalCF *& | )

virtual

Reimplemented in InternalInteger, InternalPoly, InternalPrimePower, and InternalRational.

## divsame()

virtual InternalCF * InternalCF::divsame | ( | InternalCF * |  | ) |

virtual

Reimplemented in InternalInteger, InternalPoly, InternalPrimePower, and InternalRational.

## genOne()

virtual InternalCF * InternalCF::genOne | ( |  | ) |

virtual

Reimplemented in InternalInteger, InternalPoly, InternalPrimePower, and InternalRational.

## genZero()

virtual InternalCF * InternalCF::genZero | ( |  | ) |

virtual

Reimplemented in InternalInteger, InternalPoly, InternalPrimePower, and InternalRational.

## getRefCount()

int InternalCF::getRefCount | ( |  | ) |

inline protected

Definition at line 51 of file int_cf.h.

{ return refCount; };

## ilog2()

int InternalCF::ilog2 | ( |  | ) |

virtual

int InternalCF::ilog2 ()

See also
  CanonicalForm::ilog2()

Reimplemented in InternalInteger.

Definition at line 110 of file int_cf.cc.

{
ASSERT1( 0, "ilog2() not implemented for class %s", this->classname() );
return 0;
}

## inBaseDomain()

virtual bool InternalCF::inBaseDomain | ( |  | ) | const

inline virtual

Reimplemented in InternalPoly.

Definition at line 74 of file int_cf.h.

{ return true; }

## inCoeffDomain()

virtual bool InternalCF::inCoeffDomain | ( |  | ) | const

inline virtual

Reimplemented in InternalPoly.

Definition at line 76 of file int_cf.h.

{ return true; }

## incRefCount()

void InternalCF::incRefCount | ( |  | ) |

inline protected

Definition at line 52 of file int_cf.h.

{ refCount++; };

## inExtension()

virtual bool InternalCF::inExtension | ( |  | ) | const

inline virtual

Reimplemented in InternalPoly.

Definition at line 75 of file int_cf.h.

{ return false; }

## inPolyDomain()

virtual bool InternalCF::inPolyDomain | ( |  | ) | const

inline virtual

Reimplemented in InternalPoly.

Definition at line 77 of file int_cf.h.

{ return false; }

## inQuotDomain()

virtual bool InternalCF::inQuotDomain | ( |  | ) | const

inline virtual

Reimplemented in InternalPoly.

Definition at line 78 of file int_cf.h.

{ return false; }

## intmod()

virtual int InternalCF::intmod | ( | int |  | ) | const

inline virtual

Reimplemented in InternalInteger, and InternalPrimePower.

Definition at line 83 of file int_cf.h.

{ return 0; }

## intval()

long InternalCF::intval | ( |  | ) | const

virtual

Reimplemented in InternalInteger, InternalPrimePower, and InternalRational.

Definition at line 165 of file int_cf.cc.

{
ASSERT1( 0, "intval() not implemented for class %s", this->classname() );
return 0;
}

## invert()

InternalCF * InternalCF::invert | ( |  | ) |

virtual

Reimplemented in InternalPoly.

Definition at line 172 of file int_cf.cc.

{
ASSERT1( 0, "invert() not implemented for class %s", this->classname() );
return 0;
}

## isOne()

bool InternalCF::isOne | ( |  | ) | const

virtual

bool InternalCF::isOne, isZero () const

See also
  CanonicalForm::isOne(), CanonicalForm::isZero()

Reimplemented in InternalPrimePower.

Definition at line 18 of file int_cf.cc.

{
return false;
}

## isUnivariate()

virtual bool InternalCF::isUnivariate | ( |  | ) | const

inline virtual

Reimplemented in InternalPoly.

Definition at line 81 of file int_cf.h.

{ return false; }

## isZero()

bool InternalCF::isZero | ( |  | ) | const

virtual

Reimplemented in InternalPrimePower.

Definition at line 24 of file int_cf.cc.

{
return false;
}

## LC()

CanonicalForm InternalCF::LC | ( |  | ) |

virtual

Reimplemented in InternalPoly.

Definition at line 46 of file int_cf.cc.

{
return CanonicalForm( copyObject() );
}

## Lc()

CanonicalForm InternalCF::Lc | ( |  | ) |

virtual

Reimplemented in InternalPoly.

Definition at line 40 of file int_cf.cc.

{
return CanonicalForm( copyObject() );
}

## lc()

CanonicalForm InternalCF::lc | ( |  | ) |

virtual

CanonicalForm InternalCF::lc (), Lc (), LC ().

See also
  CanonicalForm::lc(), Lc(), LC()

Reimplemented in InternalPoly.

Definition at line 34 of file int_cf.cc.

{
return CanonicalForm( copyObject() );
}

## level()

virtual int InternalCF::level | ( |  | ) | const

inline virtual

Reimplemented in InternalPoly.

Definition at line 67 of file int_cf.h.

{ return LEVELBASE; }
LEVELBASE
#define LEVELBASE
Definition cf_defs.h:25

## levelcoeff()

virtual int InternalCF::levelcoeff | ( |  | ) | const

inline virtual

Reimplemented in InternalInteger, InternalPrimePower, and InternalRational.

Definition at line 68 of file int_cf.h.

{ return UndefinedDomain; }
UndefinedDomain
#define UndefinedDomain
Definition cf_defs.h:16

## modcoeff()

virtual InternalCF * InternalCF::modcoeff | ( | InternalCF * | ,
|  | bool | )

virtual

Reimplemented in InternalInteger, InternalPoly, InternalPrimePower, and InternalRational.

## modsame()

virtual InternalCF * InternalCF::modsame | ( | InternalCF * |  | ) |

virtual

Reimplemented in InternalInteger, InternalPoly, InternalPrimePower, and InternalRational.

## modulocoeff()

virtual InternalCF * InternalCF::modulocoeff | ( | InternalCF * | ,
|  | bool | )

virtual

Reimplemented in InternalInteger, InternalPoly, InternalPrimePower, and InternalRational.

## modulosame()

virtual InternalCF * InternalCF::modulosame | ( | InternalCF * |  | ) |

virtual

Reimplemented in InternalInteger, InternalPoly, InternalPrimePower, and InternalRational.

## mulcoeff()

virtual InternalCF * InternalCF::mulcoeff | ( | InternalCF * |  | ) |

virtual

Reimplemented in InternalInteger, InternalPoly, InternalPrimePower, and InternalRational.

## mulsame()

virtual InternalCF * InternalCF::mulsame | ( | InternalCF * |  | ) |

virtual

Reimplemented in InternalInteger, InternalPoly, InternalPrimePower, and InternalRational.

## neg()

virtual InternalCF * InternalCF::neg | ( |  | ) |

virtual

Reimplemented in InternalInteger, InternalPoly, InternalPrimePower, and InternalRational.

## num()

InternalCF * InternalCF::num | ( |  | ) |

virtual

InternalCF * InternalCF::num (), den ().

See also
  CanonicalForm::num(), den()

Reimplemented in InternalRational.

Definition at line 85 of file int_cf.cc.

{
return copyObject();
}

## print()

virtual void InternalCF::print | ( | OSTREAM & | ,
|  | char * | )

virtual

Reimplemented in InternalInteger, InternalPoly, InternalPrimePower, and InternalRational.

## sign()

virtual int InternalCF::sign | ( |  | ) | const

virtual

Reimplemented in InternalInteger, InternalPoly, InternalPrimePower, and InternalRational.

## sqrt()

InternalCF * InternalCF::sqrt | ( |  | ) |

virtual

InternalCF * InternalCF::sqrt ().

See also
  CanonicalForm::sqrt()

Reimplemented in InternalInteger.

Definition at line 100 of file int_cf.cc.

{
ASSERT1( 0, "sqrt() not implemented for class %s", this->classname() );
return 0;
}

## subcoeff()

virtual InternalCF * InternalCF::subcoeff | ( | InternalCF * | ,
|  | bool | )

virtual

Reimplemented in InternalInteger, InternalPoly, InternalPrimePower, and InternalRational.

## subsame()

virtual InternalCF * InternalCF::subsame | ( | InternalCF * |  | ) |

virtual

Reimplemented in InternalInteger, InternalPoly, InternalPrimePower, and InternalRational.

## tailcoeff()

CanonicalForm InternalCF::tailcoeff | ( |  | ) |

virtual

CanonicalForm InternalCF::tailcoeff (), int InternalCF::taildegree ().

See also
  CanonicalForm::tailcoeff(), taildegree()

Reimplemented in InternalPoly.

Definition at line 67 of file int_cf.cc.

{
return CanonicalForm( copyObject() );
}

## taildegree()

int InternalCF::taildegree | ( |  | ) |

virtual

Reimplemented in InternalPoly.

Definition at line 73 of file int_cf.cc.

{
if ( isZero() )
return -1;
else
return 0;
}

## tryDivcoeff()

InternalCF * InternalCF::tryDivcoeff | ( | InternalCF * | ,
|  | bool | ,
|  | const CanonicalForm & | ,
|  | bool & | )

virtual

Reimplemented in InternalPoly.

Definition at line 214 of file int_cf.cc.

{
ASSERT1( 0, "tryDivcoeff() not implemented for class %s", this->classname() );
return 0;
}

## tryDividecoeff()

InternalCF * InternalCF::tryDividecoeff | ( | InternalCF * | ,
|  | bool | ,
|  | const CanonicalForm & | ,
|  | bool & | )

virtual

Reimplemented in InternalPoly.

Definition at line 221 of file int_cf.cc.

{
ASSERT1( 0, "tryDividecoeff() not implemented for class %s", this->classname() );
return 0;
}

## tryDivremcoefft()

bool InternalCF::tryDivremcoefft | ( | InternalCF * | ,
|  | InternalCF *& | ,
|  | InternalCF *& | ,
|  | bool | ,
|  | const CanonicalForm & | ,
|  | bool & | )

virtual

Reimplemented in InternalPoly.

Definition at line 200 of file int_cf.cc.

{
ASSERT1( 0, "tryDivremcoefft() not implemented for class %s", this->classname() );
return 0;
}

## tryDivremsamet()

bool InternalCF::tryDivremsamet | ( | InternalCF * | ,
|  | InternalCF *& | ,
|  | InternalCF *& | ,
|  | const CanonicalForm & | ,
|  | bool & | )

virtual

Reimplemented in InternalPoly.

Definition at line 193 of file int_cf.cc.

{
ASSERT1( 0, "tryDivremsamet() not implemented for class %s", this->classname() );
return 0;
}

## tryDivsame()

InternalCF * InternalCF::tryDivsame | ( | InternalCF * | ,
|  | const CanonicalForm & | ,
|  | bool & | )

virtual

Reimplemented in InternalPoly.

Definition at line 207 of file int_cf.cc.

{
ASSERT1( 0, "tryDivsame() not implemented for class %s", this->classname() );
return 0;
}

## tryInvert()

InternalCF * InternalCF::tryInvert | ( | const CanonicalForm & | ,
|  | bool & | )

virtual

Reimplemented in InternalPoly.

Definition at line 186 of file int_cf.cc.

{
ASSERT1( 0, "tryInvert() not implemented for class %s", this->classname() );
return 0;
}

## tryMulsame()

InternalCF * InternalCF::tryMulsame | ( | InternalCF * | ,
|  | const CanonicalForm & | )

virtual

Reimplemented in InternalPoly.

Definition at line 179 of file int_cf.cc.

{
ASSERT1( 0, "tryMulsame() not implemented for class %s", this->classname() );
return 0;
}

## type()

virtual int InternalCF::type | ( |  | ) | const

inline virtual

Definition at line 69 of file int_cf.h.

{ return UndefinedDomain; }

## variable()

virtual Variable InternalCF::variable | ( |  | ) | const

inline virtual

Reimplemented in InternalPoly.

Definition at line 70 of file int_cf.h.

{ return Variable(); }

## Field Documentation

## refCount

int InternalCF::refCount

private

Definition at line 49 of file int_cf.h.

The documentation for this class was generated from the following files:

- factory/int_cf.h
- factory/int_cf.cc